Bug 10094 - Linux printtool get printer password
Linux printtool get printer password
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
6.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
: 15345 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-09 12:47 EST by smedina
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-09 12:47:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smedina 2000-03-09 12:47:06 EST
Bug reported:

From: Sheshep ankh Dubhe [mailto:dubhe@DUAT.DHS.ORG]
Sent: Wednesday, March 08, 2000 2:44 PM
To: BUGTRAQ@SECURITYFOCUS.COM
Subject: [ Hackerslab bug_paper ] Linux printtool get printer password


[ Hackerslab bug_paper ] Linux printtool get printer password

File : /usr/bin/printtool

SYSTEM : Linux

INFO :

If make printer configuration by printtool package, It make vule config
file.
Config file perrmission is "-rw-r--r-- root root".
If use samba network printer, password stored in config file.

Tested platform : RedHat 6.1 - 6.2B
printtool-3.41-2
printtool-3.42-3ac
printtool-3.43-1

[dubhe@duat dubhe]$ ls -lsa /var/spool/lpd/lp/.config
   1 -rw-r--r--   1 root     root           96 Mar  6
13:21 /var/spool/lpd/lp/.config
[dubhe@duat dubhe]$ cat /var/spool/lpd/lp/.config
share='\\xxxxx\HP'
hostip=xxx.xxx.xxx.xxx
user='username'
password='1111'
workgroup='xxxxxxxx'

 Now to fix
------------

chmod o-r /var/spool/lpd/lp/.config
chgrp lp /var/spool/lpd/lp/.config

- Kyong-won, Cho -
e-mail : dubhe@hackerslab.org dubhe@duat.dhs.org
Comment 1 Bernhard Rosenkraenzer 2000-08-03 12:50:57 EDT
Fixed in 1.49
Comment 2 Bernhard Rosenkraenzer 2000-08-04 04:39:27 EDT
*** Bug 15345 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.